//////////////////////////////////////
// Textures - BY AVOC @ eft-clan.com//
//                                  //
// Shader by Dimstar                //
//////////////////////////////////////

//////////////
//arabian/////
//////////////
textures/arabian_nights/arabian_nights_sky
{
	qer_editorimage textures/arabian_nights/arabian_nights_up.jpg
	
	skyParms textures/arabian_nights/arabian_nights 2048 -

	q3map_sunExt 0.5 0.35 0.34 65 270 15	// R G B Intensity Angle Pitch

	q3map_skylight 100 4                    //amount iterations
	q3map_noFog

	surfaceparm sky                         //flags compiler that this is sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps

}
//////////////
//darkness////
//////////////
textures/darkness_sky/darkness_sky
{
	qer_editorimage textures/darkness_sky/editor.jpg
	
	skyParms textures/darkness_sky/darkness_sky 2048 -

	q3map_sunExt 0.68 0.68 0.90 200 250 50	// R G B Intensity Angle Pitch


	q3map_skylight 100 4                    //amount iterations
	q3map_noFog
	
	surfaceparm sky                         //flags compiler that this is sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	nopicmip
	nomipmaps

}
/////////////
//endless////
/////////////
textures/endless_sky/endless_sky
{
	qer_editorimage textures/avoc_common/skybox_editor.jpg
	
	skyParms textures/endless_sky/endless 2048 -

	q3map_sunExt 1.00 .90 .80 200 270 45	// R G B Intensity Angle Pitch


	q3map_skylight 150 8                    //amount iterations
	q3map_noFog

	surfaceparm sky                         //flags compiler that this is sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	nopicmip
	nomipmaps
        {
		map textures/avoc_common/vanilla_clouds.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		tcMod scroll -0.005 0.005
		tcmod scale 1 1
	}

}

////////////
//frozen////
////////////
textures/frozen_sky/frozen_sky
{
	qer_editorimage textures/frozen_sky/frozen_up.jpg
	
	skyParms textures/frozen_sky/frozen 2048 -

	q3map_sunExt 0.90 0.68 0.77 200 220 25	// R G B Intensity Angle Pitch


	q3map_skylight 100 4                    //amount iterations
	q3map_noFog

	surfaceparm sky                         //flags compiler that this is sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	nopicmip
	nomipmaps

}
//////////
//heat////
//////////
textures/heat_sky/heat_sky
{
	qer_editorimage textures/heat_sky/heat_up.jpg
	
	skyParms textures/heat_sky/heat 2048 -

	q3map_sunExt 1.00 0.80 0.70 200 180 30	// R G B Intensity Angle Pitch


	q3map_skylight 100 4                    //amount iterations
	q3map_noFog

	surfaceparm sky                         //flags compiler that this is sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	nopicmip
	nomipmaps

}
/////////////
//horizon////
/////////////
textures/horizon_sky/horizon_sky
{
	qer_editorimage textures/horizon_sky/horizon_up.jpg
	
	skyParms textures/horizon_sky/horizon 2048 -

	q3map_sunExt 1.00 0.80 0.70 200 90 35	// R G B Intensity Angle Pitch


	q3map_skylight 100 4                    //amount iterations
	q3map_noFog

	surfaceparm sky                         //flags compiler that this is sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	nopicmip
	nomipmaps

}
//////////////
//overcast////
//////////////
textures/overcast_sky/overcast_sky
{
	qer_editorimage textures/overcast_sky/overcast_editor.jpg
	
	skyParms textures/overcast_sky/overcast 2048 -

	q3map_sunExt 0.55 0.55 0.65 100 180 35	// R G B Intensity Angle Pitch


	q3map_skylight 100 4                    //amount iterations
	q3map_noFog

	surfaceparm sky                         //flags compiler that this is sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	nopicmip
	nomipmaps
	nocompress

//	{
//		map textures/avoc_common/overcast_clouds.tga
//		blendfunc gl_src_alpha gl_one_minus_src_alpha
//		tcMod scroll -0.005 0.005
//		tcmod scale 2 2
//	}

}
///////////
//rufus////
///////////
textures/rufus_sky/rufus_sky
{
	qer_editorimage textures/rufus_sky/rufus_sky_up.jpg
	
	skyParms textures/rufus_sky/rufus_sky 2048 -

	q3map_sunExt 0.90 0.83 0.71 190 225 25	// R G B Intensity Angle Pitch


	q3map_skylight 100 4                    //amount iterations
	q3map_noFog

	surfaceparm sky                         //flags compiler that this is sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps

}
///////////////
//turbulent////
///////////////
textures/turbulent_blue/turbulent_sky
{
	qer_editorimage textures/turbulent_blue/turbulent_up.jpg
	
	skyParms textures/turbulent_blue/turbulent 2048 -

	q3map_sunExt 0.90 0.90 0.90 190 220 35	// R G B Intensity Angle Pitch


	q3map_skylight 100 4                    //amount iterations
	q3map_noFog

	surfaceparm sky                         //flags compiler that this is sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	nopicmip
	nomipmaps

}
//////////////////////////
//vanilla two versions////
//////////////////////////
textures/vanilla_sky/vanilla_sky
{
	qer_editorimage textures/vanilla_sky/vanilla_sky_up.jpg
	
	skyParms textures/vanilla_sky/vanilla_sky 2048 -

	q3map_sunExt 0.90 0.80 0.85 200 220 35	// R G B Intensity Angle Pitch


	q3map_skylight 170 4                    //amount iterations
	q3map_noFog

	surfaceparm sky                         //flags compiler that this is sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	nopicmip
	nomipmaps

	{
		map textures/avoc_common/vanilla_clouds.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		tcMod scroll -0.025 0.025
		tcmod scale 1 1
	}

}

textures/vanilla_sky/vanilla_sky_frost
{
	qer_editorimage textures/vanilla_sky/vanilla_sky_frost_up.jpg
	
	skyParms textures/vanilla_sky/vanilla_sky_frost 2048 -

	q3map_sunExt 0.90 0.80 0.85 200 220 35	// R G B Intensity Angle Pitch


	q3map_skylight 100 4                    //amount iterations
	q3map_noFog

	surfaceparm sky                         //flags compiler that this is sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	nopicmip
	nomipmaps

	{
		map textures/avoc_common/vanilla_clouds.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		tcMod scroll -0.025 0.025
		tcmod scale 1 1
	}

}